> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-6/v6-7-1.md).

# Version 6.7.1

Discover the latest updates in the 6.7.1 major release of the framework, including dynamic framework integration and JavaScript support for form filling. Learn more about the changes affecting iOS pla

Release Date: 2016.11.14

6.7.1 is a major release. Please see [What's New](https://www.pdftron.com/documentation/) for the changes that affect all platforms, including iOS.

The framework now ships as a dynamic framework. (A static version is still also included.) The dynamic framework simplifies integration, improves compile (linking) time and enables smaller app updates. Please see the transition guide `Static to Dynamic Library Migration Guide`, also included in the download package, for moving from the static library to the dynamic library.

A bitcode version of the SDK is available license holders, but is not included in the standard download. If you you require a bitcode version of the SDK, please contact us at [support@apryse.com](https://docs.apryse.com).

\##Framework changes:

* Both the static and dynamic frameworks now ship with a true umbrella header, so you only need to `#import <PDFNet/PDFNet.h>` for access to all classes and methods.
* PDFNet now automatically registers the resource file pdfnet.res, in the case of the static library by searching the main bundle, and in the case of the dynamic library, using the copy that is packaged with it. You no longer need to register it yourself. The dynamic library also includes and automatically registers the .plugin files.
* JavaScript is now supported for form filling. JavaScript support is not enabled by default, and can enabled using PDFNet class method [EnableJavaScript](https://sdk.apryse.com/api/ios/Classes/PTPDFNet.html#/c:objc\(cs\)PTPDFNet\(cm\)EnableJavaScript:).
* A new Xcode digital signature sample that demonstrates how to digitally (cryptographically) sign a document.
* Sample projects no longer use any classes deprecated in iOS 9 or earlier.
* Purge memory is now called automatically in low memory conditions. This behaviour can be toggled with the new PTPDFViewCtrl property `purgeMemoryOnMemoryWarning`
* \###`PTPDFViewCtrl` Changes:**New:**
  * `overlayView` property, used to display content on top of the PDF. This the preferred method, rather than using the ContainerView instance variable.
  * `purgeMemoryOnMemoryWarning`

property, used to control if memory is automatically purged if a system memory warning is received. Default is `YES`. - `directionalLockEnabled` property, used to control if the UIScrollViewer that displays the PDF has the directional lock enabled. Default is `YES`. - `-(PTPDFRect*)GetScreenRectForAnnot:page_num:`, used to get the bounding box for an annotation. - `-(void)RefreshAndUpdate:`, used to refresh the PDF after a JavaScript intiated document change. - `-(void)ClearThumbCache`, used to delete the thumbnail cache. - `-(void)ExecuteActionWithActionParameter:`, typically used to execute a JavaScript action.

**Changed:**

* `PTToolDelegate` protocol renamed to `PTTool`, better reflecting the nature of the protocol.
* API Name Change. You will need to update tools code and any other code that uses these APIs.
* \###`PTPDFViewCtrlDelegate` Protocol Changes:**New:**
  * `-(void)javascriptCallback:json:`, used to handle JavaScript callback actions.
* \###`PTTool` Protocol Changes:**New:**
  * `-(void)javascriptCallback:json:`, used to handle JavaScript callback actions.

## Tools Library changes:

* The tools now ship as a dynamic library (the Xcode project can still be used to compile a static library if you wish). The dynamic library is convenient because it automatically includes all of the headers and resource files (images and strings) that it requires.
* The tools have been updated to no longer use any classes deprecated in iOS 9 or earlier.
* The framework now includes an umbrella header, tools.h, so using `#import <Tools/Tools.h>` gives access to the entire library.
* The selector `showMenu` has been changed to `showSelectionMenu`

to avoid a new conflict with an Apple private API which on occasion caused an app store submission to be rejected.

* Projects will need to import `AVKit` for the new movie player.
* The tools source code has been converted to modern Obj-C syntax. If you have customized the tools, and are using a text diff to merge changes, we recommend using Xcode's conversion (Edit->Convert->To Modern Objective-C Syntax) before performing the diff.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-6/v6-7-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
